Skip to main content
GET
List the company purchases

Filters

Filter with q[<attribute>_<predicate>]=value, for example q[number_cont]=…. Send a list as q[<attribute>_in][]=a&q[<attribute>_in][]=b. How filters work. Sort by: channel_id, completed_at, created_at, currency, customer_id, delivery_total, fulfillment_status, id, item_total, number, order_group_id, payment_status, po_number, seller_id, status, total, total_quantity, updated_at. Prefix a field with - to sort descending.

Authorizations

x-spree-api-key
string
header
required

Publishable API key for store access

Authorization
string
header
required

JWT token for authenticated customers

Headers

x-spree-api-key
string
required
Authorization
string
required

Path Parameters

company_id
string
required

Company node ID (comp_...)

Query Parameters

q[complete]
boolean

Set to true to apply complete.

q[incomplete]
boolean

Set to true to apply incomplete.

q[partially_refunded]
boolean

Set to true to apply partially_refunded.

q[refunded]
boolean

Set to true to apply refunded.

q
object

Attribute filters, as q[<attribute>_<predicate>]=value. See Filters above for the list.

Response

200 - application/json

orders listed